ompi/mca/rcache/rb/rcache_rb.h File Reference.TH "ompi/mca/rcache/rb/rcache_rb.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/rcache/rb/rcache_rb.h \- Description of the Registration Cache framework. 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'info/info.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'class/ompi_rb_tree.h'\fP
.br
\fC#include 'mca/rcache/rcache.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_rcache_rb_module_t \fBmca_rcache_rb_module_t\fP"
.br
.ti -1c
.RI "typedef mca_rcache_rb_component_t \fBmca_rcache_rb_component_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBmca_rcache_rb_module_init\fP (mca_rcache_rb_module_t *rcache)"
.br
.RI "\fIinit/finalize \fP"
.ti -1c
.RI "int \fBmca_rcache_rb_find\fP (\fBmca_rcache_base_module_t\fP *rcache, void *addr, size_t size, \fBompi_pointer_array_t\fP *regs, uint32_t *cnt)"
.br
.ti -1c
.RI "int \fBmca_rcache_rb_insert\fP (struct \fBmca_rcache_base_module_t\fP *rcache, mca_mpool_base_registration_t *registration, uint32_t flags)"
.br
.ti -1c
.RI "int \fBmca_rcache_rb_delete\fP (struct \fBmca_rcache_base_module_t\fP *rcache, mca_mpool_base_registration_t *registration, uint32_t flags)"
.br
.ti -1c
.RI "void \fBmca_rcache_rb_finalize\fP (struct \fBmca_rcache_base_module_t\fP *)"
.br
.RI "\fIfinalize \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT mca_rcache_rb_component_t \fBmca_rcache_rb_component\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Description of the Registration Cache framework. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
